Subject: RE: Multiple Levels of LMM agents (was: RE: [mobile-ip] Revised L ocalized Mobility Management Requirements)

From: "Venning, Roger" <[email-masked]>
Date: Thu, 26 Apr 2001 10:20:13 +1000

I concur with Andrew (and thus with Jim & Theo).
There are a wealth of possibilities that may arise in
the QOS etc. control area if signalling explicitly interacts
with LMM entities that approximately mirror the structure
of network topology.

Many deployment situations will want to use multi-level
hierarchical topologies, and thus having multi-level
hierarchies available in LMM is advantageous.

(BTW. International travel is quick, but not so quick that
we need to avoid non-LMM managed handoffs when traveling
internationally... ie. no need for inter-continental BU)

Roger.

PS. is it just me, or do other people suffer from subject
lines having inserted spaces, and thus breaking threading
logic in their mail client?

--
Roger Venning - Technologist - Telstra Research Laboratories

          For a successful technology, reality must take
          precendence over public relations, for Nature
          cannot be fooled.                 Richard Feynman

> -----Original Message-----
> From: Andrew T. Campbell [mailto:[email-masked]]
> Sent: Wednesday, 25 April 2001 1:46 PM
> To: [email-masked]
> Subject: RE: Multiple Levels of LMM agents (was: RE: 
> [mobile-ip] Revised
> L ocalized Mobility Management Requirement s)
> 
> 
> I think we need the edge hierarchies (not necessarily trees like
> Cellular IP/ HMIP which aren't robust) to hold the per-host
> routing states to deliver IP micro-mobility (QOS, etc.) to mobile
> hosts. Could be a mesh or tree. Could be deep.
> 
> Its the infrastructure to implement the IP control plane for 
> mobile networks
> 
> ---
> Andrew
> http://comet.columbia.edu/~campbell
> 
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of 
> Phil Roberts
> > Sent: Tuesday, April 24, 2001 2:59 PM
> > To: [email-masked]'
> > Subject: RE: Multiple Levels of LMM agents (was: RE:
> > [mobile-ip] Revised
> > L ocalized Mobility Management Requirement s)
> >
> >
> > How to proceed?  Good question.  It would be really good if
> > some other folks
> > weighed in on the issue.  Does anyone who hasn't commented on
> > this so far
> > care to add anything?  care at all?
> >
> > Phil
> >
> >
> > > -----Original Message-----
> > > From: James Kempf [mailto:[email-masked]]
> > > Sent: Tuesday, April 24, 2001 5:47 PM
> > > To: [email-masked]
> > > Cc: [email-masked]
> > > Subject: RE: Multiple Levels of LMM agents (was: RE:
> > > [mobile-ip] Revised
> > > L ocalized Mobility Management Requirement s)
> > >
> > >
> > > Hi Hesham,
> > >
> > > Thanx for your response, but I think we've been through these
> > > points a number of times, we really don't need to rehash them
> > > again. Charlie,
> > > Theo, myself, and one other person (whose name I've
> > > forgotten) have spoken up
> > > for a requirement to support hierarchy. You and Karim have
> > > spoken up against it,
> > > and Raj, expressing a preference for simplicity, has an 
> inclination
> > > against it.
> > >
> > > Anybody else out there in SMTP-land want to express a preference?
> > >
> > > Phil, any ideas about how to proceed?
> > >
> > > 		jak
> > >
> > >
> > > >From: "Hesham Soliman  (ERA)" <[email-masked]>
> > > >To: "[email-masked]'"
> > <[email-masked]>
> > > >Cc: [email-masked]
> > > >Subject: RE: Multiple Levels of LMM agents (was: RE:
> > > [mobile-ip] Revised L
> > > ocalized Mobility Management Requirement s)
> > > >Date: Tue, 24 Apr 2001 23:34:56 +0200
> > > >
> > > >
> > > >> Actually, no. I'm saying that we have had at least three
> > people who
> > > >> have given good arguments, IMHO, as to why multiple levels of
> > > >> hierarchy might be needed. On the other side, those arguments
> > > >> are refuted by two people who think that no hierarchy 
> is needed.
> > > >> Neither side is going to convince the other, both sides have
> > > >> good arguments.
> > > >>
> > > >	=> I'm not sure who you mean by the "two" people, there
> > > is definitely
> > > >	more (at least the authors of HMIP are) but anyway
> > > >	after reading the discussion it really seems to me like
> > > the only
> > > >	two (understandable IMHO) reasons are:
> > > >
> > > >	1.  In future there may be a need for multi-level
> > > hierarchy. That need
> > > >	is not explained really. To me this is not a good
> > > reason for including
> > > >	any feature. Ithink it makes a lot of sense of scope
> > > the problem to
> > > >	what we know without "guessing" what might happen in future
> > > >	and how theuse of MIP can be changed dramatically. No one
> > > >	knows that this is true.
> > > >
> > > >	2. Multi-level hierarchy localises the signalling. Let's try to
> > > understand
> > > >	what this really means. A MAP domain is as large as the amount
> > > >	of traffic that a MAP can handle, regardless of the number of
> > > >	levels of hierarchy. The signalling will always be local to that
> > > >	domain. So I'm not really clear on the significant
> > > advantage here.
> > > >	We're certainly not expecting any inter-continental mobility
> > > >	management using HMIPv6. So careful placement of the MAP
> > > >	using network engineering skills and common sense is
> > > >	sufficient.
> > > >
> > > >> What I'm saying is that we have some arguments the feature
> > > is needed,
> > > >> so let's put it in. From Karim's last email, it sounds
> > like we can
> > > >> probably accommodate his concerns about multiplying
> > > failure possibilities.
> > > >>
> > > >	=> At a cost. The beneft MUST outweigh the cost. This is not
> > > >	the case here IMO.
> > > >
> > > >> If we don't put it in and deployment proves that we need it,
> > > >>
> > > >	=> This is exactly point one above.
> > > >
> > > >	Hesham
> > >
> >
> >
>